General reference · Government Verification Sources

Brazil

Serviço Federal de Processamento de Dados (SERPRO)

SERPRO is a state-owned entity in Brazil responsible for providing the core digital infrastructure and identity verification databases for the government and its constituents.

Incode's connection to SERPRO allows for verification of identity data and biometrics against government databases that include driver’s license and taxpayer registry records, providing a robust and secure means of identity verification for our clients.

Verification Type

Verification Type Supported Document Types Data That Can Be Verified
Face Only Driver’s License, Identification Card, any identity document with CPF Document Number, Selfie Image
Data and Face Driver’s License, Identification Card, any identity document with CPF Document Number, Full Name, Date of Birth, Selfie Image (Optional)

Standalone API

POST /omni/process/government-validation?countryCode=BRA

Request Body

{
    "idNumber": "12345678901", // CPF
    "fullName": "MARIA SANTOS TEST",
    "birthDate": "1990-07-10",
    "base64Image": {{selfie}}
}

Response Body

{
    "valid": true,
    "statusCode": 0,
    "governmentValidation": {
        "recognitionConfidence": {
            "value": "100.0",
            "status": "OK"
        },
        "validationStatus": {
            "value": "0",
            "status": "OK",
            "key": "ok"
        },
        "ocrValidation": [
            {
                "value": "true",
                "status": "OK",
                "key": "documentNumber"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "fullName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "birthDate"
            }
        ],
        "ocrValidationOverall": {
            "value": "100.0",
            "status": "OK"
        },
        "overall": {
            "value": "100.0",
            "status": "OK"
        }
    }
}
Was this page helpful?